---
lang: en
title: 'API docs: rest-crud.repositoryclass'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.repositoryclass.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [RepositoryClass](./rest-crud.repositoryclass.md)

## RepositoryClass interface

<b>Signature:</b>

```typescript
export interface RepositoryClass<T extends Entity, IdType, Relations extends object> 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [(new)(ds)](./rest-crud.repositoryclass._new_.md) |  |


